Package Details: libappindicator-sharp 12.10.0.r296-3

Git Clone URL: https://aur.archlinux.org/libappindicator-sharp.git (read-only, click to copy)
Package Base: libappindicator-sharp
Description: Allow applications to extend a menu in Unity, KDE or Systray (Mono GTK+ 2 bindings)
Upstream URL: https://launchpad.net/libappindicator
Licenses: LGPL3, LGPL2.1
Submitter: BertalanD
Maintainer: BertalanD
Last Packager: BertalanD
Votes: 1
Popularity: 0.37
First Submitted: 2020-08-13 10:00
Last Updated: 2020-09-28 20:57

Pinned Comments

BertalanD commented on 2020-08-17 06:29

I've seen a few threads on forums about people having troubles with pool.sks-keyservers.net. Their website apparently uses a SSL cert that was issued to pgp.net.nz.

I can assure you that the key is safe and valid, as the official libappindicator-gtk{2,3} packages check against it, too.

Until sks-keyservers gets their game together, you can use another keyserver, either by editing ~/.gnupg/gpg.conf or manually importing the key via e.g.

gpg --keyserver hkp://keys.gnupg.net:80 --recv-keys 6FC05581A37D71FCECE165DB5BE41E162CD6358E

Latest Comments

Pantelis commented on 2020-10-25 13:32

Regarding bzr error: I had to disable environment variables of proxy:

env http_proxy='' https_proxy="" all_proxy="" yay -Syu libappindicator-sharp

Hope this helps :)

BertalanD commented on 2020-09-28 21:01

I'm not sure what's the deal with bzr erroring out. I've added the Python 3 python-dulwich dependency which should satisfy bzr's git handling needs.

I would prefer transferring ownership to someone who -- unlike me -- understands the whole Launchpad stuff.

guitaristtom commented on 2020-09-27 08:30

I'm getting this when I try to install this package:

==> Extracting sources...
  -> Creating working copy of libappindicator bzr repo...
brz: ERROR: Not a branch: "/home/thomas/.cache/yay/libappindicator-sharp/libappindicator/.bzr/branch/".
==> ERROR: Failure while creating working copy of libappindicator bzr repo
    Aborting...
error making: libappindicator-sharp

Also, python2-dulwich needs to be added as a dependency:

[~/Downloads]$ yay libappindicator-sharp 
1 aur/libappindicator-sharp 12.10.0.r296-3 (+2 1.14) 
    Allow applications to extend a menu in Unity, KDE or Systray (Mono GTK+ 2 bindings)
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 1
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  libappindicator-sharp-12.10.0.r296-3

:: Downloaded PKGBUILD (1/1): libappindicator-sharp
  1 libappindicator-sharp            (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: (1/1) Parsing SRCINFO: libappindicator-sharp
==> Making package: libappindicator-sharp 12.10.0.r296-3 (Sun 27 Sep 2020 01:26:12 AM PDT)
==> Retrieving sources...
  -> Branching lp:libappindicator...
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data.  See "bzr help launchpad-login".
brz: ERROR: Unable to import library "dulwich": bzr-git: Please install dulwich, https://www.dulwich.io/                                                                                                                                     
==> ERROR: Failure while branching lp:libappindicator
    Aborting...
error downloading sources: libappindicator-sharp

BertalanD commented on 2020-08-17 06:29

I've seen a few threads on forums about people having troubles with pool.sks-keyservers.net. Their website apparently uses a SSL cert that was issued to pgp.net.nz.

I can assure you that the key is safe and valid, as the official libappindicator-gtk{2,3} packages check against it, too.

Until sks-keyservers gets their game together, you can use another keyserver, either by editing ~/.gnupg/gpg.conf or manually importing the key via e.g.

gpg --keyserver hkp://keys.gnupg.net:80 --recv-keys 6FC05581A37D71FCECE165DB5BE41E162CD6358E

lebaux commented on 2020-08-17 06:03

:: PGP keys need importing:
 -> 6FC05581A37D71FCECE165DB5BE41E162CD6358E, required by: libappindicator-sharp
==> Import? [Y/n] 
:: Importing keys with gpg...
gpg: keyserver receive failed: General error
problem importing keys

I tried refreshing all the keys and everything I could find. This key just does not seem to exist anymore, am I doing something wrong? Thank you.